# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

#
# Makefile for WebMagick Documentation Images
#
# Copyright Bob Friesenhahn, 1999
#


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
DEFAULTFONT = @DEFAULTFONT@
HTIMAGE = @HTIMAGE@
ICONPATH = @ICONPATH@
MAKEINFO = @MAKEINFO@
MAPTYPE = @MAPTYPE@
PACKAGE = @PACKAGE@
PERL = @PERL@
PREFIXPATH = @PREFIXPATH@
RGBDB = @RGBDB@
ROOTPATH = @ROOTPATH@
VERSION = @VERSION@
XLSFONTS = @XLSFONTS@

AUTOMAKE_OPTIONS = 1.2

SUFFIXES = .eps .fig .gif .jpg .png

FROM_PS_FLAGS = -verbose -density 144 -geometry 50%
TO_PS_FLAGS = -verbose -colors 32 -colorspace gray
FIG_TO_JPG_FLAGS = -L jpeg -q 100

# Additional files to distribute
FIG_SRCS =  frame-style-1.fig frame-style-2.fig frame-style-3.fig frame-style-4.fig thumbnail-anatomy-framed.fig thumbnail-anatomy-plain.fig


JPEG_SRCS =  montage-sample-framed.jpg thumbnail-sample-framed.jpg thumbnail-sample-plain.jpg


GIF_TGTS =  frame-style-1.gif frame-style-2.gif frame-style-3.gif frame-style-4.gif montage-sample-framed.gif thumbnail-anatomy-framed.gif thumbnail-anatomy-plain.gif thumbnail-sample-framed.gif thumbnail-sample-plain.gif


JPEG_TGTS =  frame-style-1.jpg frame-style-2.jpg frame-style-3.jpg frame-style-4.jpg thumbnail-anatomy-framed.jpg thumbnail-anatomy-plain.jpg


EPS_TGTS =  frame-style-1.eps frame-style-2.eps frame-style-3.eps frame-style-4.eps montage-sample-framed.eps thumbnail-anatomy-framed.eps thumbnail-anatomy-plain.eps thumbnail-sample-framed.eps thumbnail-sample-plain.eps


PDF_TGTS =  frame-style-1.pdf frame-style-2.pdf frame-style-3.pdf frame-style-4.pdf montage-sample-framed.pdf thumbnail-anatomy-framed.pdf thumbnail-anatomy-plain.pdf thumbnail-sample-framed.pdf thumbnail-sample-plain.pdf


EXTRA_DIST = $(JPEG_TGTS) $(JPEG_SRCS)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
.SUFFIXES: .eps .fig .gif .jpg .png
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps doc/fig/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = doc/fig

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am: dvi-local
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile all-local
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am clean-local

clean: clean-am

distclean-am:  distclean-generic clean-am distclean-local

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am \
		maintainer-clean-local
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: tags distdir info-am info dvi-local dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-local all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# FIG --> GIF
%.gif : %.fig
	convert $(FROM_PS_FLAGS) -colors 32 $< $@
# JPEG --> GIF
%.gif : %.jpg
	convert -colors 32 $< $@
# FIG --> JPEG
%.jpg : %.fig
	#convert $(FROM_PS_FLAGS) $< $@
	fig2dev $(FIG_TO_JPG_FLAGS) $< $@
# JPEG --> EPS
%.eps : %.jpg
	convert $(TO_PS_FLAGS) $< $@
# FIG --> EPS
%.eps : %.fig
	convert $(TO_PS_FLAGS) $< $@
# EPS -> PDF
%.pdf : %.eps
	epstopdf $<

all-local: $(JPEG_TGTS)

dvi-local:

clean-local:

distclean-local:

maintainer-clean-local:
	rm -f $(GIF_TGTS) $(JPEG_TGTS) $(EPS_TGTS) $(PDF_TGTS)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
